Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate4
Class SessionHolder

    java.lang.Object
      org.springframework.transaction.support.ResourceHolderSupport
          org.springframework.orm.hibernate4.SessionHolder

All Implemented Interfaces:
  ResourceHolder

    public class SessionHolder

extends ResourceHolderSupport

Session holder, wrapping a Hibernate Session and a Hibernate Transaction. HibernateTransactionManager binds instances of this class to the thread, for a given SessionFactory.

Note: This is an SPI class, not intended to be used by applications.

Since:
  3.1
Author:
  Juergen Hoeller
See Also:
  `HibernateTransactionManager`, `SessionFactoryUtils`

Constructor Summary
`SessionHolder(org.hibernate.Session session)`

Method Summary
`void` | `clear()` Clear the transactional state of this resource holder.
`org.hibernate.FlushMode` | `getPreviousFlushMode()`
`org.hibernate.Session` | `getSession()`
`org.hibernate.Transaction` | `getTransaction()`
`void` | `setPreviousFlushMode(org.hibernate.FlushMode previousFlushMode)`
`void` | `setTransaction(org.hibernate.Transaction transaction)`

Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport
`getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, isVoid, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds, unbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionHolder

    public SessionHolder(org.hibernate.Session session)

Method Detail

### getSession

    public org.hibernate.Session getSession()

### setTransaction

    public void setTransaction(org.hibernate.Transaction transaction)

### getTransaction

    public org.hibernate.Transaction getTransaction()

### setPreviousFlushMode

    public void setPreviousFlushMode(org.hibernate.FlushMode previousFlushMode)

### getPreviousFlushMode

    public org.hibernate.FlushMode getPreviousFlushMode()

### clear

    public void clear()

  Description copied from class: `ResourceHolderSupport`
  Clear the transactional state of this resource holder.

  Overrides:
    `clear` in class `ResourceHolderSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD